View Issue Details

IDProjectCategoryView StatusLast Update
0002639CentOS-5kernelpublic2009-02-18 16:49
Reporterbschmidt Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.1 
Fixed in Version5.3 
Summary0002639: manual IPv6 default route broken
DescriptionFirst of all, I don't run CentOS personally. I hit this bug with a user today, remembered it and started digging.

Due to various reasons we have router advertisements disabled on the link between our router and the user. This means that the user has to set address and default route manually.

[root@centos conf]# ping6 2001:4ca0:4300::1
PING 2001:4ca0:4300::1(2001:4ca0:4300::1) 56 data bytes
64 bytes from 2001:4ca0:4300::1: icmp_seq=0 ttl=64 time=5.34 ms

[root@centos conf]# ip -6 route show
2001:4ca0:4300::/64 dev eth0 metric 256 expires 21331415sec mtu 1500 advmss 1440 hoplimit 4294967295
fe80::/64 dev eth0 metric 256 expires 1976498sec mtu 1500 advmss 1440 hoplimit 4294967295
default via 2001:4ca0:4300::1 dev eth0 metric 1024 expires 21334222sec mtu 1500 advmss 1440 hoplimit 4294967295

[root@centos conf]# ping6 2001:660:3301:8061:290:27ff:feac:7980
connect: Network is unreachable

This is a known regression which Redhat/CentOS has cherry-picked from later kernels with the

[IPv6]: fix routing round-robin locking.

(linux-2.6-ipv6-fix-routing-regression.patch in the CentOS kernel SRPM). Unfortunately, this breaks manual default routes, see the kernel.org bugzilla at http://bugzilla.kernel.org/show_bug.cgi?id=8349. The fix has been committed in http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=7ebba6d14f8d63cad583bf1cc0330b601d5a8171 but it does not appear to be in the CentOS kernel
TagsNo tags attached.

Activities

bschmidt

bschmidt

2008-01-29 20:50

reporter   ~0006780

A similar bug has been open in Redhat bugzilla for quite some time (https://bugzilla.redhat.com/show_bug.cgi?id=243526)

user430

2008-01-30 14:08

  ~0006785

See also https://bugzilla.redhat.com/show_bug.cgi?id=243526 which links back to this bug here.

No word yet from RH.

user430

2008-01-30 14:09

  ~0006786

Ah, it has already been mentioned. Sometimes I don't like the layout of mantis.

user430

2009-02-18 16:49

  ~0008744

Will be fixed in 5.3

Issue History

Date Modified Username Field Change
2008-01-29 19:45 bschmidt New Issue
2008-01-29 20:50 bschmidt Note Added: 0006780
2008-01-30 14:08 user430 Note Added: 0006785
2008-01-30 14:08 user430 Status new => acknowledged
2008-01-30 14:09 user430 Note Added: 0006786
2009-02-18 16:49 user430 Note Added: 0008744
2009-02-18 16:49 user430 Status acknowledged => resolved
2009-02-18 16:49 user430 Fixed in Version => 5.3
2009-02-18 16:49 user430 Resolution open => fixed